unit uNetzHWTest;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, mTNetzHW;

type
  TForm1 = class(TForm)
    bTaster: TButton; shLed: TShape;
    Timer1: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure bTasterMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure bTasterMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Timer1Timer(Sender: TObject);
  private
    NetzHW : TNetzHW;
    procedure updateLed;
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  NetzHW := TNetzHW.Create;
  netzHW.Start(1);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  NetzHW.Free;
end;

procedure TForm1.updateLed;
begin
  if NetzHW.GetEin
  then shLed.Brush.Color := clRed
  else shLed.Brush.Color := clMaroon;
end;

procedure TForm1.bTasterMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  NetzHw.SetAus(true);
end;

procedure TForm1.bTasterMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  NetzHw.SetAus(false);
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  updateLED;
end;

end.
